imports:
    - { resource: parameters.yml }
    - { resource: template.yml }
    - { resource: security.yml }
    - { resource: services.yml }
    - { resource: "@CadolesCoreBundle/Resources/config/services.yml" }
    - { resource: "@CadolesPortalBundle/Resources/config/services.yml" }
    - { resource: "@CadolesWebsocketBundle/Resources/config/services.yml" }
    - { resource: twig.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: fr

framework:
    #esi: ~
    #translator: { fallbacks: ['%locale%'] }
    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enabled: true, enable_annotations: true }
    #serializer: { enable_annotations: true }
    default_locale: '%locale%'
    trusted_hosts: ~
    session:
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id: session.handler.native_file
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
        name: ninegate
    fragments: ~
    http_method_override: true
    templating:
        engines: ['twig']    
    assets: ~
    php_errors:
        log: true

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'
    form_themes:
        - 'CadolesCoreBundle:Form:fields.html.twig'
        - 'TetranzSelect2EntityBundle:Form:fields.html.twig'
    paths:
      '%kernel.project_dir%/src/Cadoles/CoreBundle/Resources/public/themes/': Theme

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    port: '%mailer_port%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    auth_mode: '%mailer_authmode%'
    encryption: '%mailer_encryption%'
    timeout: 30
    stream-options:
        ssl:
            allow_self_signed : true
            verify_peer: false
    spool: 
        type: file
        path: '%kernel.project_dir%/var/spoolmail'

# Assetic Configuration
assetic:
    debug:          "%kernel.debug%"
    use_controller: false
    bundles:
      - CadolesCoreBundle
    filters:
        cssrewrite: ~    

# onupload configuration
oneup_uploader:
    mappings:
        avatar:
            frontend: dropzone # or any uploader you use in the frontend
        logo:
            frontend: dropzone # or any uploader you use in the frontend
        niveau01:
            frontend: dropzone # or any uploader you use in the frontend            
        header:
            frontend: dropzone # or any uploader you use in the frontend
        icon:
            frontend: dropzone # or any uploader you use in the frontend
        slide:
            frontend: dropzone # or any uploader you use in the frontend
        blogarticle:
            frontend: dropzone # or any uploader you use in the frontend            
        importuser:
            frontend: dropzone # or any uploader you use in the frontend
            namer: cadoles.core.upload.namer.same
            storage:
                directory: "%kernel.root_dir%/../uploads/importuser"  
        file:
            frontend: dropzone # or any uploader you use in the frontend
            namer: cadoles.core.upload.namer.same
            storage:
                directory: "%kernel.root_dir%/../uploads/file"            
            
# gregwar captcha configuration
gregwar_captcha: ~

# light_saml configuration
light_saml_symfony_bridge:
    own:
        entity_id: '%saml_entityid%'
        credentials:
            -
                certificate: "%kernel.root_dir%/../vendor/lightsaml/lightsaml/web/sp/saml.crt"
                key:         "%kernel.root_dir%/../vendor/lightsaml/lightsaml/web/sp/saml.key"
                password:    ~
    party:
        idp:
            files: '%saml_idps_list%'

# websocket configuration
gos_web_socket:
    client:
        session_handler: session.handler.native_file
        firewall: main
    shared_config: true
    server:
        port: 443    #The port the socket server will listen on
        host: %weburl%/wssninegate    #The host ip to bind to

        router:
            resources:
                - "@CadolesWebsocketBundle/Resources/config/topic.yml" 
    pushers:
      wamp:
        host: 0.0.0.0
        port: 5556                

# ckeditor configuration
ivory_ck_editor:
    base_path: "ckeditor"
    js_path:   "ckeditor/ckeditor.js"
    configs:
        full_config:
            language: fr
            toolbar: "my_toolbar_1"
            uiColor: "#ffffff"
            extraPlugins: ["html5video"]
        light_config:
            language: fr
            toolbar: "my_toolbar_2"
            uiColor: "#ffffff"
            removePlugins: 'elementspath'
        small_config:
            language: fr
            toolbar: "my_toolbar_3"
            uiColor: "#ffffff"
            removePlugins: 'elementspath'            
    plugins:
        html5video:
            path:     "ckeditor/plugins/html5video/" # with trailing slash
            filename: "plugin.js"    
        pastebase64:
            path:     "ckeditor/plugins/pastebase64/" # with trailing slash
            filename: "plugin.js"                
    toolbars:
        configs:
            my_toolbar_1: [ "@document1", "-", "@clipboard1", "-", "@basicstyles1", "-", "@paragraph1", "/", "@links1", "-", "@insert1", "-", "@styles1", "-" , "@colors1", "-" , "@tools1" ]
            my_toolbar_2: [ "@basicstyles1", "-",  "@paragraph2", "-", "@insert2", "-", "@styles1"]
            my_toolbar_3: [ "@basicstyles1", "-",  "@paragraph3", "-", "@insert3"]

        items:
            document1: [ 'Source','-','NewPage','DocProps','Preview','Print','-','Templates' ]
            clipboard1: [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ]
            basicstyles1: [ 'Bold','Italic','Underline','RemoveFormat' ]
            paragraph1: [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock' ]
            paragraph2: [ 'JustifyLeft','JustifyCenter','JustifyRight','NumberedList','BulletedList' ]
            paragraph3: [ 'NumberedList','BulletedList' ]
            links1: [ 'Link','Unlink','Anchor' ]
            insert1: [ 'Image','Html5video','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe' ]
            insert2: [ 'Image','Table','Smiley','Link','Unlink' ]
            insert3: [ 'Smiley','Link','Unlink' ]
            styles1: [ 'Styles','Format','Font','FontSize' ]
            colors1: [ 'TextColor','BGColor' ]
            tools1: [ 'Maximize', 'ShowBlocks','-','About' ]            